Bug 227631 - Update Refactor menu
Update Refactor menu
Status: NEW
Product: java
Classification: Unclassified
Component: Hints
7.3
PC Windows 7
: P2 (vote)
: 7.4
Assigned To: Svata Dedic
issues@java
: UI, UI_REVIEW
Depends on:
Blocks: 223599
  Show dependency treegraph
 
Reported: 2013-03-18 15:41 UTC by Petr Somol
Modified: 2013-09-02 14:21 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Somol 2013-03-18 15:41:33 UTC
Ralph would you please take care of this ? The Refactor menu needs a little change as approved by the UI committee. The spec is at http://wiki.netbeans.org/UEXMenusSpec
Comment 1 Ralph Ruijs 2013-03-25 14:28:22 UTC
http://hg.netbeans.org/jet-main/rev/ca3b952d9d5e

I updated the refactoring menu by moving the introduce actions to a submenu. The analyze Javadoc action is in java.hints, reassigning.
Comment 2 Jan Lahoda 2013-03-25 15:03:20 UTC
Petr, w.r.t:
25. Inspect Javadoc... (formerly Tools->Analyze Javadoc. Ideally should be included in Inspect and Transform)

How would the merge of Analyze Javadoc into I&T look like? Might be a better option than to promote (by putting on a prominent place) the feature, as it works in a very strange way.
Comment 3 Petr Somol 2013-04-11 12:56:40 UTC
Actually I would definitely prefer to integrate Analyze JavaDoc to I&T. The only problem I see is the difference in the output dialog UI. I was told that Analyze JavaDoc users are accustomed with the (IMHO somewhat quirky) Fix on Next and Go Over Fixed Problems checkboxes and do not want to lose it. This particular question (how to unify Refactoring and Analyzer window UIs) is not easy enough to be resolved quickly. But how difficult it would be to integrate the action "Analyze Javadoc" as one of the main configurations in I&T dialog, and to open its current output dialog if invoked by user ? This would however be halfway - discoverability worsened, output UI not unified.. I am going to raise this issue at the UI committee..


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo